Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 55964)
@@ -1,17 +1,19 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
 import {SearchResult}     from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import {StringUtils} from '../utils/string-utils.class';
 import{EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchDataprovidersService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchDataproviders (params: string, refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
 
@@ -28,9 +30,9 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]));
     }
     //((oaftype exact datasource) and(collectedfromdatasourceid exact "openaire____::47ce9e9f4fad46e732cff06419ecaabb"))
     advancedSearchDataproviders (params: string, page: number, size: number, properties: EnvProperties ):any {
@@ -47,9 +49,9 @@
       url += "&page="+(page-1)+"&size="+size+"&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results'])])
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]))
     }
 
     searchCompatibleDataprovidersTable ( properties:EnvProperties):any {
@@ -60,9 +62,9 @@
 
 
 
-      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).map(res => <any> res.json())
-
-                        .map(res => res['meta'].total);
+      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
+                      //.map(res => <any> res.json())
+                      .pipe(map(res => res['meta'].total));
     }
 
     searchCompatibleDataproviders (params: string,refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -77,9 +79,9 @@
       url += "&page="+(page-1)+"&size="+size+"&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]));
     }
 
     searchEntityRegistriesTable (properties:EnvProperties):any {
@@ -90,8 +92,9 @@
 
 
 
-      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).map(res => <any> res.json())
-                        .map(res => res['meta'].total);
+      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
+                      //.map(res => <any> res.json())
+                      .pipe(map(res => res['meta'].total));
     }
 
     searchEntityRegistries (params: string,refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -106,9 +109,9 @@
       url += "&page="+(page-1)+"&size="+size+"&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]));
     }
 
     searchJournalsTable ( properties:EnvProperties):any {
@@ -117,8 +120,8 @@
       url += '?query=((oaftype exact datasource) not(datasourcecompatibilityid = UNKNOWN) not(datasourcecompatibilityid = notCompatible) and (datasourcetypeuiid exact "pubsrepository::journal" or datasourcetypeuiid exact "aggregator::pubsrepository::journals" ))';
       url += "&page=0&size=0&format=json";
 
-      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).map(res => <any> res.json())
-                        .map(res => res['meta'].total);
+      return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)//.map(res => <any> res.json())
+                        .pipe(map(res => res['meta'].total));
     }
 
     searchJournals (params: string,refineParams:string, page: number, size: number, refineFields:string[] , properties:EnvProperties):any {
@@ -135,9 +138,9 @@
       url += "&page="+(page-1)+"&size="+size+"&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results']),RefineResultsUtils.parse(res['refineResults'],refineFields, "datasource")]));
     }
 
     searchDataprovidersForDeposit (id: string,type:string, page: number, size: number, properties:EnvProperties):any {
@@ -155,8 +158,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
     searchDataProvidersBySubjects(keyword:string, type:string, page: number, size: number, properties:EnvProperties):any {
       let link = properties.searchResourcesAPIURL;
@@ -173,8 +176,8 @@
 
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
 
     }
 
@@ -191,8 +194,8 @@
       url += "&page="+(page-1)+"&size="+size+"&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
-      .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+      //.map(res => <any> res.json())
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
     searchDataprovidersForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst;
@@ -199,8 +202,8 @@
         let url = link+params+"/datasources?format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'])]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'])]));
     }
 /*
     searchDataprovidersCSV (params: string, refineParams:string, page: number, size: number):any {
@@ -411,8 +414,8 @@
         //let url = OpenaireProperties. getSearchAPIURLLast()+params+(params.indexOf("?") == -1 ?"?":"&")+"format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res.total);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['total']));
     }
 
     numOfEntityDataproviders(id: string, entity: string, properties:EnvProperties):any {
@@ -454,8 +457,8 @@
 
 
 
-  return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).map(res => <any> res.json())
-
-                    .map(res => res['meta'].total);
+  return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['meta'].total));
 }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/reports.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/reports.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/reports.service.ts	(revision 55964)
@@ -1,35 +1,37 @@
 import {Injectable} from '@angular/core';
 import {Http, Response, Headers} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 
+
+
+import {map, tap} from "rxjs/operators";
+
 @Injectable()
 export class ReportsService {
     // url:string = "http://beta.services.openaire.eu:8480/search/rest/v2/api/publications?format=csv&page=0&size=3&q=(%22test%22)&fq=instancetypename%20exact%20%22Dataset%22";
-    constructor(private http: Http) {}
+    constructor(private http: HttpClient) {}
 //text/html
     //On the service:
    downloadCSVFile(url: string){
-     var headers = new Headers();
-     headers.append('responseType', 'arraybuffer');
+     //var headers = new Headers();
+     //headers.append('responseType', 'arraybuffer');
      return this.http.get(url)
-                .map(res => new Blob([res['_body']], { type: 'text/csv' }));
+                .pipe(map(res => new Blob([res['_body']], { type: 'text/csv' })));
    }
    getCSVResponse(url: string){
-     var headers = new Headers();
-     headers.append('responseType', 'arraybuffer');
+     //var headers = new Headers();
+     //headers.append('responseType', 'arraybuffer');
      return this.http.get(url)
-                .map(res => res['_body']);
+                .pipe(map(res => res['_body']));
    }
    downloadHTMLFile(url: string, info: string){
-     var headers = new Headers();
-     headers.append('responseType', 'arraybuffer');
+     //var headers = new Headers();
+     //headers.append('responseType', 'arraybuffer');
      return this.http.get(url)
-                .map(res => this.addInfo(res, info))
-                .map(res => new Blob([res['_body']], { type: 'text/html' }))
-                .do(res => console.log(res))
+                .pipe(map(res => this.addInfo(res, info)))
+                .pipe(map(res => new Blob([res['_body']], { type: 'text/html' })))
+                .pipe(tap(res => console.log(res)))
    }
 
    addInfo(res:any, info:string) {
@@ -43,11 +45,11 @@
        return res;
    }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
         console.log(error);
-        return Observable.throw(error  || 'Server error');
+        return throwError(error  || 'Server error');
     }
 
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/refineFieldResults.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/refineFieldResults.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/refineFieldResults.service.ts	(revision 55964)
@@ -1,16 +1,18 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {AutoCompleteValue} from '../searchPages/searchUtils/searchHelperClasses.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
 import{EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class RefineFieldResultsService {
-     constructor(private http: Http ) {}
+     constructor(private http: HttpClient ) {}
      getRefineFieldsResultsByEntityName(fields:string[], entityName:string, properties:EnvProperties, communityQuery=null):any{
         let url = properties.searchAPIURLLAst + this.getSearchAPIURLForEntity(entityName)+"?format=json&refine=true&page=1&size=0";
         for(var i=0; i < fields.length; i++){
@@ -21,9 +23,9 @@
         }
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
 
-                    .map(res =>   [res['meta'].total, RefineResultsUtils.parse(res['refineResults'],fields, entityName)]);
+                    .pipe(map(res =>   [res['meta'].total, RefineResultsUtils.parse(res['refineResults'],fields, entityName)]));
 
      }
     getRefineFieldResultsByFieldName(fieldName:string, entityName:string, properties:EnvProperties):any{
@@ -36,9 +38,9 @@
       let url = link+"&refine=true&page=1&size=0";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res['refineResults'])
-                  .map(res =>  this.parse(res,fieldName));
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['refineResults']))
+                  .pipe(map(res =>  this.parse(res,fieldName)));
 
     }
     parse(data: any,fieldName:string):any {
@@ -78,10 +80,10 @@
       }
       return  suffix;
     }
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
       // in a real world app, we may send the error to some remote logging infrastructure
       // instead of just logging it to the console
       console.log(error);
-      return Observable.throw(error  || 'Server error');
+      return throwError(error  || 'Server error');
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDatasets.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDatasets.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDatasets.service.ts	(revision 55964)
@@ -1,14 +1,13 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import {SearchResult}     from '../utils/entities/searchResult';
+import {HttpClient} from "@angular/common/http";
+import {SearchResult} from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
 import {DOI, StringUtils} from '../utils/string-utils.class';
-import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
-import{EnvProperties} from '../utils/properties/env-properties';
+import {ParsingFunctions} from '../landingPages/landing-utils/parsingFunctions.class';
+import {EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchDatasetsService {
@@ -15,7 +14,7 @@
     private sizeOfDescription: number = 270;
     public parsingFunctions: ParsingFunctions = new ParsingFunctions();
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchDatasets (params: string, refineParams:string, page: number, size: number, sortBy: string, refineFields:string[], properties:EnvProperties ):any {
 
@@ -35,16 +34,17 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "dataset")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "dataset")]));
+
     }
     searchDatasetById (id: string , properties:EnvProperties):any {
 
         let url = properties.searchAPIURLLAst+"datasets/"+id+"?format=json";
          return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseResults(res, properties));
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseResults(res, properties)));
     }
 
     searchAggregators (id: string, params: string, refineParams:string, page: number, size: number, properties:EnvProperties ):any {
@@ -63,8 +63,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseRefineResults(id, res['refineResults']))
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseRefineResults(id, res['refineResults'])))
     }
 
     searchDatasetsByDois (DOIs: string[], refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -86,10 +86,10 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "dataset")]));
 
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "dataset")]);
     }
     advancedSearchDatasets (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
       let url = properties.searchResourcesAPIURL;
@@ -110,9 +110,9 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-      .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
     searchDatasetsForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst;
@@ -119,8 +119,9 @@
         let url = link+params+"/datasets"+"?format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
+
     }
 
     searchDatasetsForDataproviders(params: string, page: number, size: number, properties:EnvProperties):any {
@@ -127,8 +128,9 @@
         let link = properties.searchAPIURLLAst;
         let url = link+params+ "&page="+(page-1)+"&size="+size + "&format=json";
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
+
     }
 
     parseResults(data: any, properties: EnvProperties): SearchResult[] {
@@ -347,8 +349,8 @@
     numOfDatasets(url: string, properties:EnvProperties):any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntityDatasets(id: string, entity: string, properties:EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/organization.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/organization.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/organization.service.ts	(revision 55964)
@@ -1,16 +1,18 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {OrganizationInfo} from '../utils/entities/organizationInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import{EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class OrganizationService {
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     organizationInfo: OrganizationInfo;
 
@@ -18,11 +20,11 @@
          let url = properties.searchAPIURLLAst+'resources?format=json&query=( (oaftype exact organization) and (reldatasourcecompatibilityid=driver or reldatasourcecompatibilityid=driver-openaire2.0 or reldatasourcecompatibilityid=openaire2.0 or reldatasourcecompatibilityid=openaire3.0 or reldatasourcecompatibilityid=openaire2.0_data or reldatasourcecompatibilityid=hostedBy or relprojectid=*  or reldatasourcecompatibilityid = native)) and ( objIdentifier ='+id+')';
 
         return this.http.get((properties.useCache)? (properties.cacheUrl +encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['results'][0])
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['results'][0]))
                     //.map(res => res[0]['result']['metadata']['oaf:entity']['oaf:organization'])
                     //.map(res => [res, res['rels']['rel']])
-                    .map(res => this.parseOrganizationInfo(res));
+                    .pipe(map(res => this.parseOrganizationInfo(res)));
 
 
     }
@@ -31,16 +33,16 @@
       let url = properties.searchAPIURLLAst+"organizations/"+id+"?format=json";
 
       return this.http.get((properties.useCache) ? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res['result']['metadata']['oaf:entity']['oaf:organization'])
-                  .map(res => this.parseOrganizationNameAndUrl(res));
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['result']['metadata']['oaf:entity']['oaf:organization']))
+                  .pipe(map(res => this.parseOrganizationNameAndUrl(res)));
     }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
         console.log(error);
-        return Observable.throw(error  || 'Server error');
+        return throwError(error  || 'Server error');
     }
 
     parseOrganizationInfo (data: any):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts	(revision 55964)
@@ -1,15 +1,17 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
 import {Metrics} from '../utils/entities/metrics';
-import 'rxjs/add/operator/do';
+
 import{EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class MetricsService {
     metrics: Metrics;
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     getMetrics (id: string, entityType: string, properties:EnvProperties):any {
         let url = properties.metricsAPIURL+entityType+"/"+id+"/clicks";
@@ -16,9 +18,9 @@
         let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"],
-                                                  res["total_openaire_views"], res["total_openaire_downloads"], res["pageviews"], properties));
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"],
+                                                  res["total_openaire_views"], res["total_openaire_downloads"], res["pageviews"], properties)));
     }
 
 
